LLVM: lldb::SBTypeEnumMember Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBTypeEnumMember Class Reference

`#include <SBTypeEnumMember.h>`

Collaboration diagram for lldb::SBTypeEnumMember:
[legend]

## Public Member Functions
| SBTypeEnumMember ()
| SBTypeEnumMember (const SBTypeEnumMember &rhs)
| ~SBTypeEnumMember ()
SBTypeEnumMember & | operator= (const SBTypeEnumMember &rhs)
bool | IsValid () const
int64_t | GetValueAsSigned ()
uint64_t | GetValueAsUnsigned ()
const char * | GetName ()
lldb::SBType | GetType ()
bool | GetDescription (lldb::SBStream &description, lldb::DescriptionLevel description_level)

## Protected Member Functions
void | reset (lldb_private::TypeEnumMemberImpl *)
lldb_private::TypeEnumMemberImpl & | ref ()
const lldb_private::TypeEnumMemberImpl & | ref () const
| SBTypeEnumMember (const lldb::TypeEnumMemberImplSP &)

## Protected Attributes
lldb::TypeEnumMemberImplSP | m_opaque_sp

## Friends
class | SBType
class | SBTypeEnumMemberList

## Detailed Description

Definition at line 18 of file SBTypeEnumMember.h.

## Constructor & Destructor Documentation

lldb::SBTypeEnumMember::SBTypeEnumMember | ( |  | ) |

lldb::SBTypeEnumMember::SBTypeEnumMember | ( | const SBTypeEnumMember & | rhs | ) |

lldb::SBTypeEnumMember::~SBTypeEnumMember | ( |  | ) |

lldb::SBTypeEnumMember::SBTypeEnumMember | ( | const lldb::TypeEnumMemberImplSP & |  | ) |
| protected

## Member Function Documentation

bool lldb::SBTypeEnumMember::GetDescription | ( | lldb::SBStream & | description,
|  | lldb::DescriptionLevel | description_level
| ) |  |

const char* lldb::SBTypeEnumMember::GetName | ( |  | ) |

lldb::SBType lldb::SBTypeEnumMember::GetType | ( |  | ) |

int64_t lldb::SBTypeEnumMember::GetValueAsSigned | ( |  | ) |

uint64_t lldb::SBTypeEnumMember::GetValueAsUnsigned | ( |  | ) |

bool lldb::SBTypeEnumMember::IsValid | ( |  | ) | const

SBTypeEnumMember& lldb::SBTypeEnumMember::operator= | ( | const SBTypeEnumMember & | rhs | ) |

lldb_private::TypeEnumMemberImpl& lldb::SBTypeEnumMember::ref | ( |  | ) |
| protected

const lldb_private::TypeEnumMemberImpl& lldb::SBTypeEnumMember::ref | ( |  | ) | const
| protected

void lldb::SBTypeEnumMember::reset | ( | lldb_private::TypeEnumMemberImpl * |  | ) |
| protected

## Friends And Related Function Documentation

friend class SBType
| friend

Definition at line 42 of file SBTypeEnumMember.h.

friend class SBTypeEnumMemberList
| friend

Definition at line 43 of file SBTypeEnumMember.h.

## Member Data Documentation

lldb::TypeEnumMemberImplSP lldb::SBTypeEnumMember::m_opaque_sp
| protected

Definition at line 51 of file SBTypeEnumMember.h.

The documentation for this class was generated from the following file:

- SBTypeEnumMember.h